import request from '@/utils/request'

// 获取节点列表
export function nodeList (params) {
    return request({
        url: '/system/product/node/list',
        method: 'get',
        params
    })
}

// 查询节点详细
export function nodeInfo (nodeId) {
    return request({
        url: '/system/node/' + nodeId,
        method: 'get'
    })
}

// 新增节点
export function addNode (data) {
    return request({
        url: '/system/node/saveNode',
        method: 'post',
        data
    })
}

// 删除节点
export function delNode (ids) {
    return request({
        url: '/system/node/' + ids,
        method: 'delete'
    })
}

// 获取节点下拉
export function select (params) {
    return request({
        url: '/system/node/select',
        method: 'get',
        params
    })
}